Name:    kate
Summary: Advanced Text Editor 
Version: 4.8.3
Release: 2%{?dist}

# kwrite LGPLv2+
# kate: app LGPLv2, plugins, LGPLv2 and LGPLv2+ and GPLv2+
# ktexteditor: LGPLv2
# katepart: LGPLv2
License: LGPLv2 and LGPLv2+ and GPLv2+ 
URL:     https://projects.kde.org/projects/kde/kdebase/kate
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: %{name}-part%{?_isa} = %{version}-%{release}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description
%{summary}.

%package devel
Summary:  Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.

%package libs 
Summary:  Runtime files for %{name}
# when split occurred
Conflicts: kdesdk-libs < 4.6.95-10
Requires: %{name} = %{version}-%{release}
%description libs 
%{summary}.

%package part 
Summary: Kate kpart plugin 
License: LGPLv2
# when split occurred
Conflicts: kdelibs < 6:4.6.95-10
%description part 
%{summary}.

%package -n kwrite
Summary: Text Editor
License: LGPLv2+
# when split occurred
Conflicts: kdebase < 6:4.6.95-10
Requires: %{name}-part%{?_isa} = %{version}-%{release} 
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
%description -n kwrite
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kate --with-kde --without-mo
%find_lang kwrite --with-kde --without-mo

# move devel symlinks (that would otherwise conflict with kdelibs3-devel)
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkate*interfaces.so)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd

## unpackaged files
# playground artsticomment -devel bits
rm -fv %{buildroot}%{_kde4_includedir}/artisticcomment.h
rm -fv %{buildroot}%{_kde4_libdir}/libacomment.a


%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $f
done


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-mime-database %{_kde4_datadir}/mime >& /dev/null

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-mime-database %{_kde4_datadir}/mime >& /dev/null
fi

%post part -p /sbin/ldconfig
%postun part -p /sbin/ldconfig


%files -f kate.lang
%doc kate/AUTHORS kate/ChangeLog kate/COPYING.LIB kate/README
%{_kde4_bindir}/kate
%{_kde4_libdir}/libkdeinit4_kate.so
%{_kde4_datadir}/applications/kde4/kate.desktop
%{_kde4_appsdir}/kate/
%{_kde4_appsdir}/katexmltools/
%{_kde4_appsdir}/kconf_update/kate*.upd
%{_kde4_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/kate.1.gz
%{_kde4_configdir}/katerc
%{_kde4_configdir}/katefiletemplates.knsrc
%{_kde4_configdir}/artisticcommentrc
%{_kde4_datadir}/kde4/services/kate*.desktop
%{_kde4_libdir}/kde4/kate*plugin.so
%{_kde4_libdir}/kde4/katefiletemplates.so
%{_kde4_appsdir}/ktexteditor_*/
%{_kde4_datadir}/kde4/services/ktexteditor_*.desktop
%{_kde4_libdir}/kde4/ktexteditor_*.so
%{_kde4_datadir}/kde4/services/plasma-applet-katesession.desktop
%{_kde4_datadir}/kde4/servicetypes/kateplugin.desktop
%{_kde4_libdir}/kde4/plasma_applet_katesession.so
%{_kde4_libdir}/kde4/kate_kttsd.so
# snippets plugin
%{_kde4_bindir}/ktesnippets_editor
%{_kde4_datadir}/applications/kde4/ktesnippets_editor.desktop
%{_kde4_configdir}/ktexteditor_codesnippets_core.knsrc
# these should *probably* be moved to hicolor -- rex
%{_kde4_iconsdir}/oxygen/*/actions/*
%{_kde4_datadir}/mime/packages/ktesnippets.xml

%files libs
%{_kde4_libdir}/libkateinterfaces.so.4*
%{_kde4_libdir}/libktexteditor_codesnippets_core.so.0*

%files devel
%{_kde4_libdir}/kde4/devel/libkateinterfaces.so
%{_kde4_libdir}/kde4/devel/libkatepartinterfaces.so
%{_kde4_libdir}/libktexteditor_codesnippets_core.so
%{_kde4_includedir}/kate_export.h
%{_kde4_includedir}/kate/
%{_kde4_includedir}/ktexteditor_codesnippets_core/

%files part
%doc part/AUTHORS part/ChangeLog part/COPYING.LIB
%doc part/INDENTATION part/NEWS part/README* part/TODO*
%{_kde4_libdir}/kde4/katepart.so
%{_kde4_libdir}/libkatepartinterfaces.so.4*
%{_kde4_appsdir}/katepart/
%{_kde4_configdir}/katemoderc
%{_kde4_configdir}/katepartpluginsrc
%{_kde4_datadir}/kde4/services/katepart.desktop

%files -n kwrite -f kwrite.lang
%{_kde4_bindir}/kwrite
%{_kde4_appsdir}/kwrite
%{_kde4_libdir}/libkdeinit4_kwrite.so
%{_kde4_datadir}/applications/kde4/kwrite.desktop


%changelog
* Mon Apr 30 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.3-2
- s/kdebase-runtime/kde-runtime/

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Radek Novacek <rnovacek@redhat.com> - 4.8.1-1
- 4.8.1

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.0-2
- Rebuilt for c++ ABI breakage

* Fri Jan 20 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Radek Novacek <rnovacek@redhat.com> - 4.7.97-1
- 4.7.97

* Wed Dec 21 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Sun Dec 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- 4.7.90

* Thu Nov 24 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.80-1
- 4.7.80 (beta 1)

* Sat Oct 29 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.3-1
- 4.7.3

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Wed Sep 07 2011 Than Ngo <than@redhat.com> - 4.7.1-1
- 4.7.1

* Thu Jul 28 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-2
- -part: move %%_kde4_appsdir/katepart/ here

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.0-1
- 4.7.0

* Mon Jul 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-1
- first try

